<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditMfsFeedBurner.ascx.cs"
    Inherits="Mindfire.MfsFeedBurner.EditMfsFeedBurner" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
<table width="650" cellspacing="0" style="padding-bottom:20px;" cellpadding="0" border="0" summary="Edit Table">
    <tr valign="top">
        <td class="SubHead" style="text-align:left;" width="125">
            <dnn:Label ID="lblContent" runat="server" ControlName="lblContent" Suffix=":"></dnn:Label>
        </td>
        <td style="padding-left:10px;">
            <asp:TextBox runat="server" ID="txtUrl"  MaxLength="1500" Width="500" Height="100" TextMode="MultiLine" ValidationGroup="check" />
            <asp:Label ID = "lblMultiUrl" Text = "Note:In case of multiple url separate them using '|' symbol." runat="server" />
            <asp:RequiredFieldValidator ID="valContent" resourcekey="valContent.ErrorMessage"
                ControlToValidate="txtUrl" CssClass="NormalRed" ValidationGroup="check" ErrorMessage="Url is required"
                runat="server" />
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" width="125">
            <dnn:Label ID="lblCount" runat="server" ControlName="lblCount" Suffix=":"></dnn:Label>
        </td>
        <td style="padding-left:10px;" >
            <asp:TextBox runat="server" ID="txtCount" MaxLength="2" Width="30" ValidationGroup="check" />
            <asp:RegularExpressionValidator ID="CountRegularExpressionValidator" runat="server"
                ControlToValidate="txtCount" CssClass="NormalRed" ErrorMessage="Please enter integer only"
                ValidationExpression="^\d+$" ValidationGroup="check"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" width="125">
            <dnn:Label ID="lblDisplay" runat="server" ControlName="lblDisplay" Suffix=":"></dnn:Label>
        </td>
        <td>
            <asp:RadioButtonList ID="rblDisplay" runat="server" AutoPostBack="true" RepeatDirection="Horizontal"
                OnSelectedIndexChanged="rblSelectedIndexChange">
                <asp:ListItem Value="s">Static</asp:ListItem>
                <asp:ListItem Value="m">Moving</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" width="125">
            <dnn:Label ID="lblSpeed" runat="server" Visible="false" ControlName="lblSpeed" Suffix=":">
            </dnn:Label>
        </td>
        <td>
            <asp:RadioButtonList ID="rblSpeed" runat="server" RepeatDirection="Horizontal" Visible="false">
                <asp:ListItem Value="1">Slow</asp:ListItem>
                <asp:ListItem Value="3">Normal</asp:ListItem>
                <asp:ListItem Value="6">Fast</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" width="125">
            <dnn:Label ID="lblMov" runat="server" Visible="true" ControlName="lblMov" Suffix=":">
            </dnn:Label>
        </td>
        <td>
            <asp:RadioButtonList ID="rblMov" runat="server" RepeatDirection="Horizontal" Visible="true">
                <asp:ListItem Value="hm">Horizontal</asp:ListItem>
                <asp:ListItem Value="vm">Vertical</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    
    <tr valign="top">
        <td class="SubHead" width="125">
            <dnn:Label ID="lblWidth" runat="server"  Visible="false" ControlName="lblWidth" Suffix=":"></dnn:Label>
        </td>
        <td style="padding-left:10px;" >
            <asp:TextBox runat="server" ID="txtWidth" Visible="false" MaxLength="4" Width="40" ValidationGroup="check" />
            <asp:RegularExpressionValidator ID="rglrWidht" runat="server"
                ControlToValidate="txtWidth" CssClass="NormalRed" ErrorMessage="Please enter integer only"
                ValidationExpression="^\d+$" ValidationGroup="check"></asp:RegularExpressionValidator>
        </td>
    </tr>
</table>
<p>
    <asp:LinkButton CssClass="CommandButton" ID="cmdUpdate" resourcekey="cmdUpdate" runat="server"
        BorderStyle= "none" Text="Update" Font-Size= "Small" Font-Bold="true"  OnClick="cmdUpdate_Click" ValidationGroup="check"></asp:LinkButton>&nbsp;
    <asp:LinkButton CssClass="CommandButton" ID="cmdCancel" resourcekey="cmdCancel" runat="server"
        BorderStyle="none" Text="Cancel"  Font-Size= "Small" Font-Bold="true" CausesValidation="False" OnClick="cmdCancel_Click"></asp:LinkButton>&nbsp;
    <asp:LinkButton CssClass="CommandButton" ID="cmdDelete" resourcekey="cmdDelete" runat="server"
        BorderStyle="none" Text="Delete" CausesValidation="False" OnClick="cmdDelete_Click"></asp:LinkButton>&nbsp;
</p>
<dnn:Audit ID="ctlAudit" runat="server" />
